<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [disableLog](./bitburner.ns.disablelog.md)

## NS.disableLog() method

Disables logging for the given NS function.

**Signature:**

```typescript
disableLog(fn: string): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

fn


</td><td>

string


</td><td>

Name of the NS function for which to disable logging.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 0 GB

Logging can be disabled for all functions by passing `ALL` as the argument.

For specific interfaces, use the form "namespace.functionName". (e.g. "ui.setTheme")

## Example


```js
ns.disableLog("hack"); // Disable logging for `ns.hack()`

```

